ErrorDispatcher (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.ErrorDispatcher class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class ErrorDispatcher

    java.lang.Object
      org.apache.jasper.compiler.ErrorDispatcher

public class ErrorDispatcher
extends java.lang.Object

Class responsible for dispatching JSP parse and javac compilation errors to the configured error handler. This class is also responsible for localizing any error codes before they are passed on to the configured error handler. In the case of a Java compilation error, the compiler error message is parsed into an array of JavacErrorDetail instances, which is passed on to the configured error handler.

Author:
  Jan Luehe, Kin-man Chung

Constructor Summary
`ErrorDispatcher()`

Method Summary
`void` | `javacError(java.lang.String errMsg, java.lang.String fname, Node.Nodes page)`
`void` | `jspError(java.lang.Exception e)`
`void` | `jspError(org.apache.jasper.compiler.Mark where, java.lang.String errCode)`
`void` | `jspError(org.apache.jasper.compiler.Mark where, java.lang.String errCode, java.lang.String arg)`
`void` | `jspError(org.apache.jasper.compiler.Mark where, java.lang.String errCode, java.lang.String arg1, java.lang.String arg2)`
`void` | `jspError(org.apache.jasper.compiler.Mark where, java.lang.String errCode, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
`void` | `jspError(org.apache.jasper.compiler.Node n, java.lang.String errCode)`
`void` | `jspError(org.apache.jasper.compiler.Node n, java.lang.String errCode, java.lang.String arg)`
`void` | `jspError(org.apache.jasper.compiler.Node n, java.lang.String errCode, java.lang.String arg, java.lang.Exception e)`
`void` | `jspError(org.apache.jasper.compiler.Node n, java.lang.String errCode, java.lang.String arg1, java.lang.String arg2)`
`void` | `jspError(org.apache.jasper.compiler.Node n, java.lang.String errCode, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
`void` | `jspError(java.lang.String errCode)`
`void` | `jspError(java.lang.String errCode, java.lang.String arg)`
`void` | `jspError(java.lang.String errCode, java.lang.String arg, java.lang.Exception e)`
`void` | `jspError(java.lang.String errCode, java.lang.String arg1, java.lang.String arg2)`
`void` | `jspError(java.lang.String errCode, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorDispatcher

    public ErrorDispatcher()

Method Detail

### jspError

    public void jspError(java.lang.String errCode)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(org.apache.jasper.compiler.Mark where,
                         java.lang.String errCode)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(org.apache.jasper.compiler.Node n,
                         java.lang.String errCode)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(java.lang.String errCode,
                         java.lang.String arg)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(org.apache.jasper.compiler.Mark where,
                         java.lang.String errCode,
                         java.lang.String arg)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(org.apache.jasper.compiler.Node n,
                         java.lang.String errCode,
                         java.lang.String arg)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(java.lang.String errCode,
                         java.lang.String arg1,
                         java.lang.String arg2)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(java.lang.String errCode,
                         java.lang.String arg1,
                         java.lang.String arg2,
                         java.lang.String arg3)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(org.apache.jasper.compiler.Mark where,
                         java.lang.String errCode,
                         java.lang.String arg1,
                         java.lang.String arg2)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(org.apache.jasper.compiler.Mark where,
                         java.lang.String errCode,
                         java.lang.String arg1,
                         java.lang.String arg2,
                         java.lang.String arg3)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(org.apache.jasper.compiler.Node n,
                         java.lang.String errCode,
                         java.lang.String arg1,
                         java.lang.String arg2)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(org.apache.jasper.compiler.Node n,
                         java.lang.String errCode,
                         java.lang.String arg1,
                         java.lang.String arg2,
                         java.lang.String arg3)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(java.lang.Exception e)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(java.lang.String errCode,
                         java.lang.String arg,
                         java.lang.Exception e)
                  throws JasperException

  Throws:
    `JasperException`

### jspError

    public void jspError(org.apache.jasper.compiler.Node n,
                         java.lang.String errCode,
                         java.lang.String arg,
                         java.lang.Exception e)
                  throws JasperException

  Throws:
    `JasperException`

### javacError

    public void javacError(java.lang.String errMsg,
                           java.lang.String fname,
                           Node.Nodes page)
                    throws JasperException,
                           java.io.IOException

  Throws:
    `JasperException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.